iga_contact_us:
    path:  /contact_us.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::indexAction }
iga_contact_refer:
    path:  /refer.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::referAction }
iga_contact_refer_accept:
    path:  /accept.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::acceptAction }
iga_contact_send_ta_friend:
    path:  /send_to_a_friend.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::sendTAFriendAction }

iga_contact_message:
    path:  /send_message.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::indexAction }
iga_contact_sms:
    path:  /send_sms.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::indexSmsAction }
iga_contact_message_drafts:
    path:  /message/drafts.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::draftsAction }
iga_contact_message_unsubscribe:
    path:  /unsubscribe.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::unsubscribeAction }
iga_contact_message_show_e_mail:
    path:  /message/{messageId}/show-e-mail.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::showEMailAction }
iga_contact_message_show_sms:
    path:  /message/{messageId}/show-sms.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::showSmsAction }

iga_contact_message_stats:
    path:  /message/stats.png
    defaults: { _controller: App\ContactBundle\Controller\MessageController::recipientStatsAction }
iga_contact_message_stats_update:
    path:  /message/stats_update.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::statsUpdateAction }
iga_contact_message_stats_list:
    path:  /message/e-mails.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::emailStatAction, parentId: 0 }
    requirements:
        methods:  GET
iga_contact_sms_stats_list:
    path:  /message/sms.html
    defaults: { _controller: App\ContactBundle\Controller\MessageController::smsStatAction, parentId: 0 }
    requirements:
        methods:  GET

iga_contact_credits_list:
    path:  /message/credits/list.html
    defaults: { _controller: App\ContactBundle\Controller\MessageCreditController::listAction, parentId: 0 }
    requirements:
        methods:  GET
iga_contact_request_credits:
    path:  /message/credit-request.html
    defaults: { _controller: App\ContactBundle\Controller\MessageCreditController::requestCreditAction }
iga_contact_transfer_credits:
    path:  /message/credit-transfer.html
    defaults: { _controller: App\ContactBundle\Controller\MessageCreditController::transferCredit }

# Old routes
old_iga_contact_us:
    path:  /home/contact.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::indexAction }
old_iga_contact_us2:
    path:  /home/contact/
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::indexAction, cultureString: 'en_US' }
old_iga_send_ta_friend:
    path:  /home/sendfriend/content_id/{contentId}.html
    defaults: { _controller: App\ContactBundle\Controller\DefaultController::sendTAFriendAction }